<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8"%>
<%@ page import="com.lombardisoftware.portal.utils.LocaleUtil"%>
<%@ page import="java.net.URLEncoder" %>
<%@ page import="com.lombardisoftware.client.persistence.TWResourceBundleGroupFactory" %>
<%@ page import="com.lombardisoftware.client.delegate.RuntimeServicesDelegateFactory" %>
<%@ page import="com.lombardisoftware.utility.ApplicationServerPlatform" %>
<%@ page import="com.lombardisoftware.core.config.TWConfiguration" %>
<%@ page import="java.util.List" %>
<%@ page import="org.apache.struts.Globals" %>
<%@ page import="java.util.Locale" %>
<%@ include file="msgs-init.jsp" %>
<%@ taglib prefix="html" uri="/WEB-INF/struts-html.tld"%>
<%@ taglib prefix="bean" uri="/WEB-INF/struts-bean.tld"%>

<%!
    private static List installedLocales = null;

    static {
        try {
            installedLocales = TWResourceBundleGroupFactory.getInstance().getAvailableLocales(
                    RuntimeServicesDelegateFactory.getInstance().newInstance().getLegacyPortalVersioningContext(), 
                    TWConfiguration.getInstance().getServer().getPortal().getPortalResourceBundleGroupName());
        } catch (Exception e) {
			e.printStackTrace();
            //logger.error("Exception getting installed locales in autoLogin.jsp", e);
        }
    }
%>
<%
    String successPage = request.getParameter("sp");
    if (successPage == null) {
        successPage = "welcome.jsp";
    }
%>
<%
// We do not have the lsw (ContextRoot tag) taglib here - do the lookup 
String portalContextRoot = "/portal";
com.ibm.bpm.crconfig.BPMContextRootConfigService contextRootService = com.ibm.bpm.crconfig.BPMContextRootConfigServiceFactory.getInstance().getContextRootConfigService();
if (contextRootService != null){
	String contextRoot = contextRootService.getContextRoot(com.ibm.bpm.crconfig.BPMContextRootConfigService.BPM_WARNAME_PROCESSPORTALSUPPORT);
	if (contextRoot != null){
        	portalContextRoot = contextRoot;
	}
}
%>
<html><head>
    <title><bean:message key="consoleTitle"/></title>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <script type="text/javascript" src="<%=portalContextRoot%>/js/dojo/1.6.1/dojo/dojo.js"></script>
    <link rel="stylesheet" type="text/css" href="login.css" media="screen, projection" />    
    <script type="text/javascript">
    dojo.require("dijit._base.sniff");

AutoLogin.prototype = {
    init : function() {
        <%-- Auto-login only works with IE - with firefox, it'll challenge for a username and password, and then get
        into an infinite redirect/re-request loop.  Since NTLM and Kerberos are only supported on IE anyway, we skip
        the auto-login request on non-IE browsers, and simply redirect to the login page. --%>
        if (dojo.isIE) {
            dojo.xhrGet({
                url: "jsp/autoLogin.2.jsp",
                handleAs: "xml",
                load: dojo.hitch(this, function(data) {
                    this.loginSucceeded();
                }),
                error: dojo.hitch(this, function(error) {
                    this.loginFailed();
                })
            });
        } else {
            this.loginFailed();
        }
    },

    loginSucceeded : function() {
    	
        document.location = "<%= successPage %>";
    },

    loginFailed : function() {
        <%        	
            String newLocation = "login.jsp?errorMessage=login.error.cantLogin";
            if (request.getParameter("sp") != null) {
               newLocation = newLocation + "&sp=" + URLEncoder.encode(request.getParameter("sp"));
            }
        %>
        document.location = "<%= newLocation %>";
    }
}
function AutoLogin() {}

var autologin = new AutoLogin();
    </script>
</head>
<body onLoad="autologin.init()">
    <div id="login-header">
        <div class="logo"></div>
    </div>
    <div id="login-body">
        <table cellpadding="0" cellspacing="0" width="100%">
            <tr>
                <td>&nbsp;</td>
                <td width="500">
                    <div id="login-content">
                        <table id="content-header" cellspacing="0" cellpadding="0">
                          <tr>
                            <td id="content-header-left"></td>
                            <td id="content-header-right"></td>
                          </tr>
                        </table>
                        <p><bean:message key="attemptAutolog"/></p>
                        <p><a href="login.jsp"><bean:message key="loginPage"/></a></p>
                        <div id="login-copyright"><bean:message key="licensedMaterials"/></div>
                        <table id="content-footer" cellspacing="0" cellpadding="0">
                          <tr>
                            <td id="content-footer-left"></td>
                            <td id="content-footer-right"></td>
                          </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
            </tr>
        </table>
    </div>
</body>
</html>
